## tartube 2.4.386%2Bdfsg

=== Makefile ===
init:
	pip install -r requirements.txt

test:
	nosetests tests

=== debian/changelog ===
tartube (2.4.386+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 23 Jun 2023 15:38:44 -0700

tartube (2.4.370+dfsg-0ubuntu1~20.04.sav0) focal; urgency=medium

  * New upstream release
  * debian/patches/: Drop use-correct-path-for-sounds.patch (upstreamed)

 -- Rob Savoury <savoury@savos.tech>  Sun, 30 Apr 2023 14:38:21 -0700

tartube (2.4.260+dfsg-0ubuntu1~20.04.sav0) focal; urgency=medium

  * New upstream release

 -- Rob Savoury <savoury@savos.tech>  Thu, 16 Mar 2023 18:38:55 -0700

tartube (2.4.221+dfsg-0ubuntu1~20.04.sav0) focal; urgency=medium

  * New upstream release
  * debian/copyright: Add .gitignore and pack/mswin_themes to Files-Excluded

 -- Rob Savoury <savoury@savos.tech>  Wed, 01 Feb 2023 16:09:47 -0800

tartube (2.4.201+dfsg-0ubuntu1~20.04.sav0) focal; urgency=medium

  * New upstream unofficial bugfix release (git commit c71a96f on 2022-12-18)
  * Move shared icons and sounds to new tartube-common package:
    - debian/control: Add tartube-common package (Breaks/Replaces old tartube)
      - Add tartube-common (= ${binary:Version}) PD to tartube package
      - Switch to ${source:Synopsis} and ${source:Extended-Description} format
    - debian/tartube.install: Adjust to not include usr/share/{locale,tartube}
    - debian/tartube-common.install: Create, add usr/share/{locale,tartube}
  * Build translations and include in new tartube-common package:
    - debian/control: Add gettext BD for msgfmt binary
    - debian/rules: Add override_dh_auto_build target to recreate *.mo files
    - debian/clean: Add to remove all created tartube.mo files
    - debian/patches/: Add fix-gettext-locale-translation.patch
  * debian/patches/: Add include-new-tutorial-icons.patch
  * debian/copyright: Add locale/*/LC_MESSAGES/*.mo to Files-Excluded
    - Change GPL-3+ -> LGPL-2.1+ for main license (upstream re-licensing)
  * debian/watch: Change releases -> tags for successful uscan

 -- Rob Savoury <savoury@savos.tech>  Thu, 05 Jan 2023 17:33:03 -0800

tartube (2.4.093+dfsg-0ubuntu1~20.04.sav0) focal; urgency=medium

  * Initial release

 -- Rob Savoury <savoury@savos.tech>  Wed, 07 Sep 2022 19:47:56 -0700

=== debian/control ===
Source: tartube
Section: web
Priority: optional
Maintainer: Rob Savoury <savoury@savos.tech>
Build-Depends: debhelper-compat (= 10),
               dh-python,
               gettext,
               python3-all,
               python3-docutils,
               python3-playsound,
               python3-setuptools
Standards-Version: 4.1.3
Homepage: https://github.com/axcore/tartube
Description: A GUI front-end for youtube-dl and yt-dlp
 Tartube is a GUI front-end for youtube-dl, yt-dlp and other compatible
 video downloaders. It is written in Python 3 / Gtk 3.

Package: tartube
Architecture: all
Depends: gir1.2-gtk-3.0,
         tartube-common (= ${binary:Version}),
         youtube-dl | yt-dlp,
         ${misc:Depends},
         ${python3:Depends}
Recommends: aria2, ffmpeg
Suggests: atomicparsley, python3-moviepy, python3-streamlink
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: tartube-common
Architecture: all
Depends: ${misc:Depends}
Breaks: tartube (<< 2.4.201+dfsg)
Replaces: tartube (<< 2.4.201+dfsg)
Description: ${source:Synopsis} - shared files
 ${source:Extended-Description}
 .
 This package contains common files and translations.

Package: tartube-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: ${source:Synopsis} - documentation
 ${source:Extended-Description}
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# prevents downloading youtube-dl/yt-dlp directly in favour of install via apt
export TARTUBE_PKG_STRICT=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# create the translation files
	find locale -name \*.po -execdir msgfmt base.po -o tartube.mo \;

override_dh_install:
	rst2html --report="error" README.rst README.html
	# install translation files
	mkdir -p debian/tmp/usr/share/
	cp -p --parents locale/*/LC_MESSAGES/tartube.mo debian/tmp/usr/share/
	dh_install
	# remove duplicate license information
	rm -rf $(CURDIR)/debian/tartube/usr/share/tartube/sounds/COPYING

override_dh_missing:
	dh_missing --fail-missing

## tartube 2.4.412+dfsg

=== debian/changelog ===
tartube (2.4.412+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Drop python3-playsound from BDs.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 21 Aug 2023 07:34:25 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: tartube
 Section: web
 Priority: optional
-Maintainer: Rob Savoury <savoury@savos.tech>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Rob Savoury <savoury@savos.tech>
 Build-Depends: debhelper-compat (= 10),
                dh-python,
                gettext,
                python3-all,
                python3-docutils,
-               python3-playsound,
                python3-setuptools
 Standards-Version: 4.1.3
 Homepage: https://github.com/axcore/tartube
@@ -19,10 +19,10 @@
 Architecture: all
 Depends: gir1.2-gtk-3.0,
          tartube-common (= ${binary:Version}),
-         youtube-dl | yt-dlp,
+         yt-dlp,
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: aria2, ffmpeg
+         ${python3:Depends},
+         aria2, ffmpeg
 Suggests: atomicparsley, python3-moviepy, python3-streamlink
 Description: ${source:Synopsis}
  ${source:Extended-Description}

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tartube-$1\.tar\.gz/, \
 dversionmangle=auto,repacksuffix=+dfsg" \
 https://github.com/axcore/tartube/tags \
 .*/v?([\d\.]+)\.tar\.gz
